Package org.apache.sysds.runtime.io.cog

## Class COGCompressionUtils

- java.lang.Object
- - org.apache.sysds.runtime.io.cog.COGCompressionUtils

    public class COGCompressionUtils
    extends Object

### Constructor Summary

Constructors
`COGCompressionUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decompressDeflate​(byte[] compressedData)` Decompresses a byte array that was compressed using the Deflate algorithm

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### COGCompressionUtils

    public COGCompressionUtils()

### Method Detail

#### decompressDeflate

    public static byte[] decompressDeflate​(byte[] compressedData)
                                    throws DMLRuntimeException

Decompresses a byte array that was compressed using the Deflate algorithm

Parameters:
  `compressedData` - ???
Returns:
  ???
Throws:
  `DMLRuntimeException` - ???